CVE-2020-9484 & CVE-2021-25329 - Tomcat Vulnerabilities

View some of the Frequently Asked Questions to our support staff. Included are some tips and tricks making this forum ideal for users getting started with GoAnywhere MFT. Note: Users can reply to existing topics but only our support staff can add new topics to this forum.
1 post Page 1 of 1

Support_Jake

User avatar
Posts: 10
Joined: Tue Jul 17, 2018 9:14 am

Post by Support_Jake » Thu Jul 15, 2021 3:46 pm
CVE-2020-9484 & CVE-2021-25329 - Tomcat Vulnerabilities

When using Apache Tomcat versions 10.0.0-M1 to 10.0.0-M4, 9.0.0.M1 to 9.0.34, 8.5.0 to 8.5.54 and 7.0.0 to 7.0.103 if the following are all true:

a) an attacker is able to control the contents and name of a file on the server;

b) the server is configured to use the PersistenceManager with a FileStore;

c) the PersistenceManager is configured with sessionAttributeValueClassNameFilter="null" (the default unless a SecurityManager is used) or a sufficiently lax filter to allow the attacker provided object to be deserialized;

d) the attacker knows the relative file path from the storage location used by FileStore to the file the attacker has control over;

then, using a specifically crafted request, the attacker will be able to trigger remote code execution via deserialization of the file under their control. Note that all of conditions a) to d) must be true for the attack to succeed.



Here is the response from our developers:

CVE-2020-9484 is mitigated as b) the server is configured to use the PersistenceManager with a FileStore is not used by GoAnywhere MFT. Note that all of the conditions a) to d) must be true for the attack to succeed.
According to Apache: CVE-2021-25329 has the exact same mitigation steps as CVE-2020-9484
Jacob Przybysz
Support Analyst
e. [email protected]
p. 1.800.949.4696
w. HelpSystems.com
1 post Page 1 of 1